#pragma once
#include <d3d9.h>
#include <d3dx9.h>

namespace mof{

struct MeshDisposer{
	
	LPD3DXMESH      pMesh; //メッシュ
	LPD3DXBUFFER	pAdjacency;	//メッシュに含まれる各面の隣接面を格納するポインタ

	~MeshDisposer(){
		if(pAdjacency != NULL)pAdjacency->Release();
		if(pMesh != NULL)pMesh->Release();
	}
};

}
